<template>
  <div class="ctn">
    <div class="block-header">
      <h1>{{ title }}</h1>
    </div>
    <div class="list">
      <client-only>
        <slick-slide
          :options="slickOptionsMobile"
          class="slides-slick custom-slick"
        >
          <UniverseListItem
            v-for="(item, index) of universes"
            :key="`slide-${index}`"
            :universe="item"
          />
        </slick-slide>
      </client-only>
    </div>
  </div>
</template>

<script>
import UniverseListItem from '~/components/UniverseList/UniverseListItem'

const slickOptions = {
  dots: true,
  infinite: true,
  prevArrow: false,
  nextArrow: false,
  lazyLoad: 'ondemand',
  adaptiveHeight: true,
  autoplay: false,
  autoplaySpeed: 5000,
  slidesToShow: 1
}

export default {
  components: { UniverseListItem },
  props: {
    title: {
      type: String,
      required: true
    },
    universes: {
      type: Array,
      required: true
    }
  },
  data() {
    return {
      slickOptionsMobile: slickOptions
    }
  }
}
</script>

<style lang="scss" scoped>
.ctn {
  margin-top: 50px;

  .block-header {
    height: 180px;
    background-color: #272626;
    background-repeat: no-repeat;
    background-image: url('~assets/images/ic-izneo-corner-mobile.svg');
    background-position-x: right;
    background-position-y: top;

    h1 {
      color: white;
      padding: 28px 16px;
      font-weight: bold;
      font-size: 40px;
    }
  }

  .list {
    position: relative;
    margin-top: -104px;
    display: block;
    justify-content: space-evenly;

    @media (max-width: 768px) {
      margin-top: -92px;
    }
  }

  .slides-slick {
    margin-bottom: 36px;
    margin-top: 15px;

    ::v-deep .slick-slide div {
      text-align: center;
    }

    ::v-deep .slick-track {
      width: 100vh;
      display: flex;
      align-items: flex-start;
      justify-content: space-between;
    }

    ::v-deep .slick-dots {
      position: absolute;
      height: 10px;
      bottom: 1rem;
      right: calc(60% - 25px);

      @media (max-width: 768px) {
        top: -25px;
        right: 0.25rem;
      }

      li {
        display: inline-block;
        padding: 0 3px;

        button {
          cursor: pointer;
          width: 8px;
          height: 8px;
          background-color: #808080;

          @media (max-width: 768px) {
            background-color: #d3d3d3;
          }

          border-radius: 99999px;
          text-indent: -9999px;
        }
        &.slick-active {
          button {
            background-color: #ff641e;
          }
        }
      }
    }
  }
}
</style>
